ADAM_2.12: CLI 0.35.0 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package adam
  Definition Classes
    bdgenomics
-  package cli
  Definition Classes
    adam
- ADAM2Fastq
- ADAM2FastqArgs
- ADAMMain
- ADAMModule
- About
- CommandGroup
- CountReadKmers
- CountReadKmersArgs
- CountSliceKmers
- CountSliceKmersArgs
- Coverage
- CoverageArgs
- FlagStat
- FlagStatArgs
- MergeShards
- MergeShardsArgs
- PrintADAM
- PrintADAMArgs
- TransformAlignments
- TransformAlignmentsArgs
- TransformFeatures
- TransformFeaturesArgs
- TransformFragments
- TransformFragmentsArgs
- TransformGenotypes
- TransformGenotypesArgs
- TransformSequences
- TransformSequencesArgs
- TransformSlices
- TransformSlicesArgs
- TransformVariants
- TransformVariantsArgs
- View
- ViewArgs

c

org.bdgenomics.adam.cli

# ADAMModule 

###

#### class ADAMModule extends AbstractModule with ScalaModule

Linear Supertypes
ScalaModule, InternalModule[Binder], AbstractModule, Module, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ADAMModule
2. ScalaModule
3. InternalModule
4. AbstractModule
5. Module
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new ADAMModule()

### Type Members

1.  class BindingBuilder[T] extends ScalaAnnotatedBindingBuilder[T]
   Definition Classes
     InternalModule

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def addError(arg0: Message): Unit
   Attributes
     protected[inject]
   Definition Classes
     AbstractModule
5.  def addError(arg0: Throwable): Unit
   Attributes
     protected[inject]
   Definition Classes
     AbstractModule
6.  def addError(arg0: String, arg1: <repeated...>[AnyRef]): Unit
   Attributes
     protected[inject]
   Definition Classes
     AbstractModule
   Annotations
     @transient()
7.  def annotatedWith[A <: Annotation](implicit arg0: ClassTag[A]): Matcher[AnnotatedElement]
   Attributes
     protected[this]
   Definition Classes
     InternalModule
8.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
9.  def bind[T](implicit arg0: scala.reflect.api.JavaUniverse.TypeTag[T]): BindingBuilder[T]
   Attributes
     protected[this]
   Definition Classes
     InternalModule
10.  def bind[T](arg0: Class[T]): AnnotatedBindingBuilder[T]
    Attributes
      protected[inject]
    Definition Classes
      AbstractModule
11.  def bind[T](arg0: TypeLiteral[T]): AnnotatedBindingBuilder[T]
    Attributes
      protected[inject]
    Definition Classes
      AbstractModule
12.  def bind[T](arg0: Key[T]): LinkedBindingBuilder[T]
    Attributes
      protected[inject]
    Definition Classes
      AbstractModule
13.  def bindConstant(): AnnotatedConstantBindingBuilder
    Attributes
      protected[inject]
    Definition Classes
      AbstractModule
14.  def bindInterceptor[I <: MethodInterceptor](classMatcher: Matcher[_ >: Class[_]], methodMatcher: Matcher[_ >: AnnotatedElement])(implicit arg0: ClassTag[I]): Unit
    Attributes
      protected[this]
    Definition Classes
      InternalModule
15.  def bindInterceptor(arg0: Matcher[_ >: Class[_]], arg1: Matcher[_ >: Method], arg2: <repeated...>[MethodInterceptor]): Unit
    Attributes
      protected[inject]
    Definition Classes
      AbstractModule
    Annotations
      @transient()
16.  def bindListener(arg0: Matcher[_ >: Binding[_]], arg1: <repeated...>[ProvisionListener]): Unit
    Attributes
      protected[inject]
    Definition Classes
      AbstractModule
    Annotations
      @transient()
17.  def bindListener(arg0: Matcher[_ >: TypeLiteral[_]], arg1: TypeListener): Unit
    Attributes
      protected[inject]
    Definition Classes
      AbstractModule
18.  def bindScope[T <: Annotation](scope: Scope)(implicit arg0: ClassTag[T]): Unit
    Attributes
      protected[this]
    Definition Classes
      InternalModule
19.  def bindScope(arg0: Class[_ <: Annotation], arg1: Scope): Unit
    Attributes
      protected[inject]
    Definition Classes
      AbstractModule
20.  def binder(): Binder
    Attributes
      protected[inject]
    Definition Classes
      AbstractModule
21.  def binderAccess: Binder
    Attributes
      protected[this]
    Definition Classes
      ScalaModule → InternalModule
22.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native() @HotSpotIntrinsicCandidate()
23.  def configure(): Unit
    Definition Classes
      ADAMModule → AbstractModule
24.  final def configure(arg0: Binder): Unit
    Definition Classes
      AbstractModule → Module
25.  def convertToTypes(arg0: Matcher[_ >: TypeLiteral[_]], arg1: TypeConverter): Unit
    Attributes
      protected[inject]
    Definition Classes
      AbstractModule
26.  def currentStage(): Stage
    Attributes
      protected[inject]
    Definition Classes
      AbstractModule
27.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
28.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
29.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
30.  def getMembersInjector[T](implicit arg0: scala.reflect.api.JavaUniverse.TypeTag[T]): MembersInjector[T]
    Attributes
      protected[this]
    Definition Classes
      InternalModule
31.  def getMembersInjector[T](arg0: TypeLiteral[T]): MembersInjector[T]
    Attributes
      protected[inject]
    Definition Classes
      AbstractModule
32.  def getMembersInjector[T](arg0: Class[T]): MembersInjector[T]
    Attributes
      protected[inject]
    Definition Classes
      AbstractModule
33.  def getProvider[T](implicit arg0: ClassTag[T]): Provider[T]
    Attributes
      protected[this]
    Definition Classes
      InternalModule
34.  def getProvider[T](arg0: Class[T]): Provider[T]
    Attributes
      protected[inject]
    Definition Classes
      AbstractModule
35.  def getProvider[T](arg0: Key[T]): Provider[T]
    Attributes
      protected[inject]
    Definition Classes
      AbstractModule
36.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
37.  def install(arg0: Module): Unit
    Attributes
      protected[inject]
    Definition Classes
      AbstractModule
38.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
39.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
40.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
41.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
42.  def requestInjection(arg0: Any): Unit
    Attributes
      protected[inject]
    Definition Classes
      AbstractModule
43.  def requestStaticInjection[T]()(implicit arg0: ClassTag[T]): Unit
    Attributes
      protected[this]
    Definition Classes
      InternalModule
44.  def requestStaticInjection(arg0: <repeated...>[Class[_]]): Unit
    Attributes
      protected[inject]
    Definition Classes
      AbstractModule
    Annotations
      @transient()
45.  def requireBinding(arg0: Class[_]): Unit
    Attributes
      protected[inject]
    Definition Classes
      AbstractModule
46.  def requireBinding(arg0: Key[_]): Unit
    Attributes
      protected[inject]
    Definition Classes
      AbstractModule
47.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
48.  def toString(): String
    Definition Classes
      AnyRef → Any
49.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
50.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
51.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Deprecated Value Members

1.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] ) @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

### Inherited from ScalaModule

### Inherited from InternalModule[Binder]

### Inherited from AbstractModule

### Inherited from Module

### Inherited from AnyRef

### Inherited from Any

### Ungrouped